This document describes the current stable version of Celery (5.6). For development docs, go here.

# `celery.app.registry`

Registry of available tasks.

class celery.app.registry.TaskRegistry

  Map of registered tasks.

  exception NotRegistered

    The task is not registered.

  filter_types(type)
  periodic()
  register(task)

    Register a task in the task registry.

    The task will be automatically instantiated if not already an instance. Name must be configured prior to registration.

  regular()
  unregister(name)

    Unregister task by name.

    Parameters:

      name (str) – name of the task to unregister, or a `celery.app.task.Task` with a valid name attribute.

    Raises:

      celery.exceptions.NotRegistered – if the task is not registered.